Package docking.widgets.textfield

# Class GValidatedTextField.ValidatedDocument

java.lang.Object
javax.swing.text.AbstractDocument
javax.swing.text.PlainDocument
docking.widgets.textfield.GValidatedTextField.ValidatedDocument

All Implemented Interfaces:
  `Serializable`, `Document`

Direct Known Subclasses:
  `GValidatedTextField.MaxLengthField.MaxLengthDocument`

Enclosing class:
  `GValidatedTextField`

public static class GValidatedTextField.ValidatedDocument extends PlainDocument

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.text.AbstractDocument

  `AbstractDocument.AbstractElement, AbstractDocument.AttributeContext, AbstractDocument.BranchElement, AbstractDocument.Content, AbstractDocument.DefaultDocumentEvent, AbstractDocument.ElementEdit, AbstractDocument.LeafElement`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Toolkit`
  `toolkit`

  ### Fields inherited from class javax.swing.text.PlainDocument

  `lineLimitAttribute, tabSizeAttribute`

  ### Fields inherited from class javax.swing.text.AbstractDocument

  `BAD_LOCATION, BidiElementName, ContentElementName, ElementNameAttribute, listenerList, ParagraphElementName, SectionElementName`

  ### Fields inherited from interface javax.swing.text.Document

  `StreamDescriptionProperty, TitleProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidatedDocument()`
  `ValidatedDocument(List<GValidatedTextField.TextValidator> validators)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addValidationMessageListener(GValidatedTextField.ValidationMessageListener listener)`
  `void`
  `addValidator(GValidatedTextField.TextValidator validator)`
  `void`
  `insertString(int offs, String str, AttributeSet a)`
  `protected void`
  `message(String msg)`
  `void`
  `removeValidationMessageListener(GValidatedTextField.ValidationMessageListener listener)`
  `void`
  `removeValidator(GValidatedTextField.TextValidator validator)`
  `protected void`
  `validate(String oldText, String newText)`

  ### Methods inherited from class javax.swing.text.PlainDocument

  `createDefaultRoot, getDefaultRootElement, getParagraphElement, insertUpdate, removeUpdate`

  ### Methods inherited from class javax.swing.text.AbstractDocument

  `addDocumentListener, addUndoableEditListener, createBranchElement, createLeafElement, createPosition, dump, fireChangedUpdate, fireInsertUpdate, fireRemoveUpdate, fireUndoableEditUpdate, getAsynchronousLoadPriority, getAttributeContext, getBidiRootElement, getContent, getCurrentWriter, getDocumentFilter, getDocumentListeners, getDocumentProperties, getEndPosition, getLength, getListeners, getProperty, getRootElements, getStartPosition, getText, getText, getUndoableEditListeners, postRemoveUpdate, putProperty, readLock, readUnlock, remove, removeDocumentListener, removeUndoableEditListener, render, replace, setAsynchronousLoadPriority, setDocumentFilter, setDocumentProperties, writeLock, writeUnlock`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### toolkit

    protected Toolkit toolkit

- ## Constructor Details

  - ### ValidatedDocument

    public ValidatedDocument(List<GValidatedTextField.TextValidator> validators)

  - ### ValidatedDocument

    public ValidatedDocument()

- ## Method Details

  - ### addValidator

    public void addValidator(GValidatedTextField.TextValidator validator)

  - ### removeValidator

    public void removeValidator(GValidatedTextField.TextValidator validator)

  - ### addValidationMessageListener

    public void addValidationMessageListener(GValidatedTextField.ValidationMessageListener listener)

  - ### removeValidationMessageListener

    public void removeValidationMessageListener(GValidatedTextField.ValidationMessageListener listener)

  - ### validate

    protected void validate(String oldText, String newText) throws GValidatedTextField.ValidationFailedException
    Throws:
      `GValidatedTextField.ValidationFailedException`

  - ### message

    protected void message(String msg)

  - ### insertString

    public void insertString(int offs, String str, AttributeSet a) throws BadLocationException
    Specified by:
      `insertString` in interface `Document`
    Overrides:
      `insertString` in class `PlainDocument`
    Throws:
      `BadLocationException`